Gatana logoGatana Docs
RoutesUsers

/users

List the users and service accounts the caller can read, optionally filtered by type

GET
/users
AuthorizationBearer <token>

In: header

Query Parameters

type?string

Filter by account type: user, service-account, or all

Value in"user" | "service-account" | "all"

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/users"
{
  "users": [
    {
      "id": "string",
      "tenantId": "string",
      "name": "string",
      "email": "[email protected]",
      "role": "member",
      "isSuperAdministrator": true,
      "isDisabled": true,
      "isServiceAccount": true,
      "isInvited": true,
      "profileIds": [
        {
          "tenantId": "string",
          "userId": "string",
          "profileId": "string",
          "isLockedByOrgOwner": true,
          "createdAt": "string",
          "updatedAt": "string"
        }
      ],
      "isScimManaged": true,
      "scimExternalId": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}